server:
  port: 8080
spring:
  main:
    allow-bean-definition-overriding: true #新创建的bean覆盖旧的bean
  application:
    name: qiaoba-boot
  profiles:
    active: dev
  servlet:
    multipart:
      enabled: true #开启文件上传
      max-file-size: 200MB #限制文件上传大小为10M
      max-request-size: 200MB #限制文件上传大小为10M
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8

qiaoba:
  auth:
    whitelist:
      - /
      - /*.*
      - /favicon.ico
      - /**/*.html
      - /**/*.css
      - /**/*.js
      - /swagger-resources
      - /v3/api-docs/**
      - /druid/**
      - /file/**
      - /login
      - /register
      - /captchaImage
      - /tenant/normal-list

springdoc:
  swagger-ui:
    path: /swagger-ui.html
    tags-sorter: alpha
    operations-sorter: alpha
  api-docs:
    path: /v3/api-docs
  group-configs:
    - group: '系统管理'
      paths-to-match: '/**'
      packages-to-scan: com.qiaoba.module.system.controller
    - group: '文件管理'
      paths-to-match: '/**'
      packages-to-scan: com.qiaoba.module.file.controller
    - group: '租户管理'
      paths-to-match: '/**'
      packages-to-scan: com.qiaoba.module.tenant.controller
    - group: '监控管理'
      paths-to-match: '/**'
      packages-to-scan: com.qiaoba.module.monitor.controller
# knife4j的增强配置，不需要增强可以不配
knife4j:
  enable: true
  setting:
    language: zh_cn
    enable-swagger-models: false
    enable-footer-custom: true
    footer-custom-content: create by ailanyin

  # mybatis-plus:
  # 对应的 XML 文件位置
  # mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 实体扫描，多个package用逗号或者分号分隔
  # typeAliasesPackage: com.qiaoba.**.entity

